#
# spec file for package systemd-rpm-macros
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           systemd-rpm-macros
Version:        3
Release:        6.1
Summary:        RPM macros for systemd
License:        LGPL-2.1+
Group:          System/Base
Url:            http://en.opensuse.org/openSUSE:Systemd_packaging_guidelines
Source0:        macros.systemd
Requires:       coreutils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
#!BuildIgnore:  util-linux

%description
Starting with openSUSE 12.1, several RPM macros must be used to package systemd
services files. This package provides these macros.

%prep

%build

%install
mkdir -p %{buildroot}%{_sysconfdir}/rpm
install -m644 %{S:0} %{buildroot}%{_sysconfdir}/rpm
UNITDIR="`cat %{S:0} | sed -n 's|.*_unitdir[[:blank:]]*||p'`"
for i in $UNITDIR `dirname $UNITDIR`; do
   mkdir -p %{buildroot}$i
   echo $i >> unitdir
done

%files -f unitdir
%defattr(-,root,root)
%config %{_sysconfdir}/rpm/macros.systemd

%changelog
* Fri Dec  1 2017 fbui@suse.com
- Make sure to clean up "new-in-upgrade" tag file (bsc#1059627)
  The tag file might have been incorrectly left by a preceding update.
* Wed Jun  1 2016 Thomas.Blume@suse.com
- %%service_add_post() suppress daemon-reload when in installation
  system (bsc#982343)
* Fri Apr 15 2016 idonmez@suse.com
- Sync with Factory for Gnome 3.20 fate#318572
- Version bumped to 3
* Thu Mar 10 2016 werner@suse.de
- Add %%tmpfiles_create macro (bsc#956849)
- Allow the packagers to specify the options -f and -n on the
  macros %%service_del_preun(), %%service_del_postun(), %%systemd_post(),
  and %%systemd_preun() (boo#968405)
* Fri Nov 20 2015 werner@suse.de
- Support of DISABLE_STOP_ON_REMOVAL and DISABLE_RESTART_ON_UPDATE
  from /etc/sysconfig/service (bsc#955996)
* Fri Sep 18 2015 sbrabec@suse.com
- Skip %%systemd_preset_* during the clean installation to prevent
  presetting of all services (boo#946216).
* Thu Aug 27 2015 sbrabec@suse.com
- Add %%systemd_preset_pre and %%systemd_preset_posttrans that will
  do one shot presetting of all services with changed system
  preset. It makes possible to to fix bad default service state
  (bnc#900935#c46, FATE#318949, FATE#317727, bnc#921075).
- Increment version to 2.1.
* Mon Jun 15 2015 jengelh@inai.de
- Check for presence/executability of systemd programs before
  executing them, and do not suppress warnings/errors resulting
  from them.
* Fri Jan  9 2015 jengelh@inai.de
- Update with new macros from systemd 218
- Remove empty sections from specfile
* Tue Nov 18 2014 werner@suse.de
- Mark /etc/rpm/macros.systemd as configuration file
* Tue Nov 18 2014 werner@suse.de
- Apply then delete patch systemd-daemon-reload-before-service-restart.patch
- Add orignal systemd macros as well (boo#807164)
* Wed Oct 15 2014 thomas.blume@suse.com
- make systemd aware of changed unit file content after update
  add systemd-daemon-reload-before-service-restart.patch
* Thu Mar 27 2014 werner@suse.de
- Add a %%_ntpunitsdir macro
* Thu Mar 27 2014 fcrozat@suse.com
- Add support to not restart services if running in YaST2 or
  if DISABLE_RESTART_ON_UPDATE is set to yes [bnc#858429]
* Fri Feb 28 2014 werner@suse.de
- Require coreutils as rm and touch are used
* Fri Feb  7 2014 werner@suse.de
- Make systemd rpm macros package a separate to avoid rebuild of
  the full package tree if systemd package change
* Thu Jul  4 2013 fcrozat@suse.com
- Resync with systemd v205 macros
* Mon Jun 17 2013 mhrusecky@suse.com
- New package with systemd rpm macros to avoid unnecessary build time
  dependencies
